For the complete documentation index, see llms.txt. This page is also available as Markdown.

Companies

Beta: Create a company

post
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
remote_idstringRequired

The ID of the company in your system

Example: internal_reference
namestringRequired

Company name

Example: Transporteur A
Responses
201

Company created successfully

application/json
uidstring · uuidOptional

Unique identifier for the company

Example: baf04a1f-bdef-4372-95d3-48ffaf2ced3c
remote_idstringOptional

The ID of the company in your system

Example: internal_reference
namestringOptional

Company name

Example: Transporteur A
post/flow/sites/{site-slug}/companies/
POST /api/v4/flow/sites/{site-slug}/companies/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 148

{
  "remote_id": "internal_reference",
  "name": "Transporteur A",
  "address": {
    "address": "1 rue de la Paix",
    "postcode": "75001",
    "city": "Paris",
    "country": "FR"
  }
}
{
  "uid": "baf04a1f-bdef-4372-95d3-48ffaf2ced3c",
  "remote_id": "internal_reference",
  "name": "Transporteur A",
  "address": {
    "address": "1 rue de la Paix",
    "postcode": "75001",
    "city": "Paris",
    "country": "FR"
  }
}

Last updated

Was this helpful?